## clementine 1.4.0~rc1+git867-g9ef681b0e+dfsg

=== debian/changelog ===
clementine (1.4.0~rc1+git867-g9ef681b0e+dfsg-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:40:22 +1100

clementine (1.4.0~rc1+git867-g9ef681b0e+dfsg-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:05:24 +0000

clementine (1.4.0~rc1+git867-g9ef681b0e+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:05:32 +0000

clementine (1.4.0~rc1+git867-g9ef681b0e+dfsg-1ubuntu1) lunar; urgency=medium

  * Lower optimization level on ppc64el to fix build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Jan 2023 14:00:48 +0100

clementine (1.4.0~rc1+git867-g9ef681b0e+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.6.2.
  * Acknowledge NMU: 1.4.0~rc1+git347-gfc4cb6fc7+dfsg-2.1. Thanks to Florian
    Ernst.
  * Update debian/watch file. Thanks to Sam Q.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sat, 17 Dec 2022 16:03:09 +0100

clementine (1.4.0~rc1+git347-gfc4cb6fc7+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add explicit Depends on libqt5sql5-sqlite (Closes: #1008312)

 -- Florian Ernst <florian@debian.org>  Thu, 14 Apr 2022 18:00:57 +0200

clementine (1.4.0~rc1+git347-gfc4cb6fc7+dfsg-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove the old clementine.xpm, and clementine-16.xpm icons, no more needed
    since the removal of the Debian menu file in 1.3.1+dfsg-1.

  [ Florian Ernst ]
  * Fix FTBFS with GCC-11 by dropping -std=c++0x and -U__STRICT_ANSI__,
    patch taken from upstream. (Closes: #984014)

 -- Thomas Pierson <contact@thomaspierson.fr>  Sat, 12 Feb 2022 18:15:45 +0100
