## clementine 1.4.1%2Bgit27-g658f34ec4%2Bdfsg

=== debian/changelog ===
clementine (1.4.1+git27-g658f34ec4+dfsg-3ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:04:32 +0200

clementine (1.4.1+git27-g658f34ec4+dfsg-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Lower optimization level on ppc64el to fix build failure.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 24 Jan 2025 21:16:25 +0000

clementine (1.4.1+git27-g658f34ec4+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Drop unnecessary Build-Depends: libqt5webkit5-dev.

 -- Bastian Germann <bage@debian.org>  Wed, 22 Jan 2025 23:11:21 +0100

clementine (1.4.1+git27-g658f34ec4+dfsg-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Lower optimization level on ppc64el to fix build failure.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 13 Jan 2025 10:06:53 +0000

clementine (1.4.1+git27-g658f34ec4+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jan 2025 12:27:27 -0500

clementine (1.4.1+git27-g658f34ec4+dfsg-2~exp1) experimental; urgency=medium

  * QA upload.
  * debian/patches/:
    + 0009-Try-to-fix-template-mismatch-within-taglib-2-tagread.patch:
      Try to fix build failure with taglib 2 on 32-bit architectures.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jan 2025 11:16:35 -0500

clementine (1.4.1+git27-g658f34ec4+dfsg-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Lower optimization level on ppc64el to fix build failure.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 12 Jan 2025 21:30:53 +0000

clementine (1.4.1+git27-g658f34ec4+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #976016)
  * debian/copyright: Update Files-Excluded field.
  * debian/control: Update Vcs-* fields to use Debian Salsa git repo.
  * debian/control: Build-depends on taglib 2.x libtag-dev. (Closes: #1092686)
  * debian/control: Add optional build-dep libxml2-dev.
  * debian: Apply "wrap-and-sort -abst".
  * debian/patches: Refresh patches.
  * debian/patches:
    + 0008-Disable-HAVE_VISUALISATIONS-unconditionally.patch:
      Set default value of HAVE_VISUALISATIONS to OFF.
  * debian/rules: Drop -DUSE_SYSTEM_PROJECTM=ON, we are not using libprojectm
    for now.
  * debian/rules: Drop -DENABLE_VK=OFF, this option is no longer present in
    upstream build system.
  * debian/rules: Set -DVISUALISATIONS=OFF to explicitly disable this component.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jan 2025 15:46:53 -0500

clementine (1.4.0~rc1+git867-g9ef681b0e+dfsg-2) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group. (See: #1092799)
  * Acknowledge NMU: 1.4.0~rc1+git867-g9ef681b0e+dfsg-1.1. Thanks to Florian
    Ernst.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sat, 11 Jan 2025 17:45:55 +0100

clementine (1.4.0~rc1+git867-g9ef681b0e+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC-14 by turning off the compiler warning flag that causes
    it, which quite plausibly just triggers a false positive.
    Thanks to Ben Harris <bjh21@bjh21.me.uk>. (Closes: #1088037)

 -- Florian Ernst <florian@debian.org>  Sat, 21 Dec 2024 11:53:06 +0100
