=== debian/control ===
Source: clementine
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 2.6),
 libasound2-dev,
 libboost-dev,
 libboost-serialization-dev,
 libcdio-dev,
 libchromaprint-dev,
 libcrypto++-dev,
 libfftw3-dev,
 libglew-dev,
 libgpod-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 liblastfm5-dev,
 libmtp-dev,
 libmygpo-qt-dev (>= 1.1.0-1~),
 libprotobuf-dev,
 libpulse-dev,
 libqt5opengl5-dev,
 libqt5sql5-sqlite,
 libqt5x11extras5-dev,
 libsparsehash-dev,
 libsqlite3-dev,
 libtag-dev,
 libxml2-dev,
 protobuf-compiler,
 qtbase5-private-dev,
 qttools5-dev,
Standards-Version: 4.7.0
Homepage: https://www.clementine-player.org/
Vcs-Git: https://salsa.debian.org/debian/clementine.git
Vcs-Browser: https://salsa.debian.org/debian/clementine

Package: clementine
Architecture: any
Depends:
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly,
 libqt5sql5-sqlite,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gstreamer1.0-alsa | gstreamer1.0-pulseaudio,
Suggests:
 gstreamer1.0-plugins-bad,
Description: modern music player and library organizer
 Clementine is a multiplatform music player focusing on a fast and
 easy-to-use interface for searching and playing your music.
 .
 Summary of included features :
  - Search and play your local music library.
  - Listen to internet radio from ROCKRADIO.com, RadioTunes.com,
    IntergalacticFM, SomaFM, Magnatune, Jamendo, Digitally Imported,
    ClassicalRadio.com, JAZZRADIO.com, Icecast and Subsonic servers.
  - Search and play songs you've uploaded to SeaFile, Box, Dropbox, Google
    Drive, and OneDrive.
  - Create smart playlists and dynamic playlists.
  - Tabbed playlists, import and export M3U, XSPF, PLS and ASX.
  - CUE sheet support.
  - Play audio CDs.
  - Visualisations from projectM.
  - Lyrics and artist biographies and photos.
  - Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC.
  - Edit tags on MP3 and OGG files, organise your music.
  - Fetch missing tags from MusicBrainz.
  - Discover and download Podcasts.
  - Download missing album cover art from Last.fm.
  - Native desktop notifications using libnotify.
  - Remote control using an Android device, a Wii Remote, MPRIS or the
    command-line.
  - Copy music to your iPod, iPhone, MTP or mass-storage USB player.
  - Queue manager.
