## clementine 1.4.1+git27-g658f34ec4+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: clementine
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake (>= 2.6),
